import { type IPopupWidget } from '@oinone/kunlun-engine';
import type { ReturnPromise } from '@oinone/kunlun-shared';
import { PopupScene } from '../../typing';
import { DialogWidget } from '../../view';
import { PopupContainerWidget, type PopupInfo } from './PopupContainerWidget';
export declare class DialogContainerWidget extends PopupContainerWidget {
    protected getPopupScene(): PopupScene | string;
    protected createPopupWidget(popupInfo: PopupInfo): ReturnPromise<IPopupWidget | undefined>;
    protected onCloseDialog(dialog: DialogWidget): void;
}
